:: Batch QLTools to copy multiple files into image
:: Ian Johnston
@echo off
echo QLTOOLS BATCH COPY FILES TO IMAGE (by Ian Johnston)
echo ===================================================
echo root folder   = %CD%\
echo image folder  = %CD%\images\
set /p Imagefile= Image file name (i.e. myimage.HFE)?
set /p Sourcefolder= Source folder (i.e. files)?
setlocal disableDelayedExpansion
cd %Sourcefolder%
for /f "tokens=1* delims=:" %%A in ('dir /s /b^|findstr /n "^"') do (
  set "file.%%A=%%B"
  set "file.count=%%A"
)
cd..
setlocal enableDelayedExpansion
for /l %%N in (1 1 %file.count%) do (
  qltools images\%Imagefile% -W !file.%%N!
  echo !file.%%N!
)
qltools images\%Imagefile% -d
@pause
